import lodash from "lodash";
const { createTask, get_person } = await import('./main.mjs');


export const registerOnWorks = () => new Promise(async (resolve, reject) => {
    try {
        const { page, task } = await createTask('https://buddy.works/sign-up/', 'networkidle0');

        const { email, sur, last, pass } = await get_person(lodash.sample([
            'vomoto.com',
            'fextemp.com',
            'dropjar.com',
            'getmule.com',
            'getnada.com',
            'givmail.com',
            'tafmail.com',
            'tupmail.com',
            'merepost.com',
            'clowmail.com',
            'gimpmail.com',
            'guysmail.com',
            'temptami.com',
            'blondmail.com',
            'chapsmail.com',
            'fivermail.com',
            'inboxbear.com',
            'replyloop.com',
            'spicysoda.com',
            'robot-mail.com',
        ]));

        await page
            .waitForSelector('input[name=email]'); await page.type('input[name=email]', email, { delay: 120 });

        await page
            .type('input[name=name]', sur + ' ' + last, { delay: 80 }); await page.type('input[name=password]', pass, { delay: 50 });


    } catch (err) { console.log(err); };
});

registerOnWorks();