process.env.recaptcha = '08f6afed6b7be6be6a8982f751faa5e6';

await import('colors');
const addZero = e => e < 10 ? `0${e}` : e, getCurrentTime = () => {
    let currentTime = new Date();
    let hours = currentTime.getHours();

    return `[${addZero(hours > 12 ? hours - 12 : hours)}:${addZero(currentTime.getMinutes())}:${addZero(currentTime.getSeconds())} ${hours >= 12 ? 'PM' : 'AM'}]`.dim;
};

const logger = console.log;
console.log = (id, ...args) => logger(getCurrentTime(), `${id} >`, ...args);

import firebase from "firebase-admin";
const { registerOnIntel, loginOnIntel, enrollOnIntel, activateOnIntel, assignOnIntel } = await import('./helpers/intel.mjs'), assigner = new (await import('node:events')).EventEmitter();

const app = firebase.initializeApp({
    credential: firebase.credential.cert({
        "type": "service_account",
        "project_id": "intel-62404",
        "private_key_id": "f1972e82e1dd8acdcbf2c08d2267ec58bb51eac5",
        "private_key": "-----BEGIN PRIVATE KEY-----\nMIIEvAIBADANBgkqhkiG9w0BAQEFAASCBKYwggSiAgEAAoIBAQDHmFm1OsFKND+w\nYG+cEYkZKaUY76HKC0VGNpZLyietyrlsBWX/1RzrIHEdfH3RZuw5dV9vHwAqIO8Y\n1pGimAxTNbCjqmAEZ4yRTDrLbpevNohk3rMzWdH6QGqhQ/XtkzXQbWyWnF1APZv+\ndYNM4H30ddAIYuD3TLMW9bfxCvq95539Si7VgSilmU2Qz5kgJS4q2Bw1uBMzhkar\nqwGTehFC3kuV4xm1+0mSY3FnlNiWn0JXL90TocyZYKuJuVCOG9O0geN9+nC/JjNl\nYdLvhIXNWclO5O84YOv/lg1+TAUZm2q+eCiMaDhP4EWmuulpVGoKamJWineQlRh8\nqMaRqgnbAgMBAAECggEABudDybXVB4TyVWymrc5EWXy6a2Km2kf0vEIgTIqpI3L1\nmvLpErscMo5fFdxGfYsGRkOYnFuv2wxHVwAWNU+9F5078b4aGfXJWQTzx9xDFySz\np8LRqnKDsFGGKUj3oaEdqOAdV2xyTsnkgIEv43Okgkb64YWYp8iV9HnziwQFXggs\nAObwoJqG0e0MTzzuySFPpsYjtVytNdO9DagbGgCezWh5ujtpVxf//lPbJ0TdQ1SU\ng9EXXbkh1iuui0cxXI5tpipsr9KP3YKSFMoQAzOxFyymL18RicwsL3wMg76p4RGa\noyXt+H5/e+Q/AbMe0DVx2sVQnezlMWazNbL4ArEVzQKBgQD9BCyVb+F6BC06i4W7\n8+JXuR2JjLdb7GgSGdsymcB0+VyWj3hHsC0sJNdn+lFSFMdDbNKTs8Q3VaUkWGDm\nP3alz15fe2Ln9Pb7JpAQVXmG8fZc1byU3Uwy7zYDjO/uVHkAph0H3hYCfk9rP+4Y\nIdPBoF0IRGLEW6M4SAnXVtYfjwKBgQDJ8ud0V4uoISBhBCgpZjM6BW6S14pF5LxQ\nVTicfG614ISSXf9zpKovNcj06hPZaDfZBhQrcquE/gqKutCahchsmlirerLtAH8J\nvKKmSxhCA5R2DUkNdB3t5sGHpdJKQzaWm7om43y/HsorFvHNqNOKjixduhFppoKc\n18i8VTnK9QKBgH50vp+1uljUi5JuN1n4C9FSSQv9U4tS/bTGTYLdy43rL7ZkYHZb\n/EfK5gom1swSbIEre5esyk3ptU8UCOIrJ+65VO6d6ZILIgHmhSxUvBeRCVPe05EH\nhdUTL8jYgPZ6K7wCShIrko6OeL0ex64yAfcNYlIGc+K19j7j6l9BHGXLAoGAC1I8\nu37061YAFLBA+CEsmgIX8s92hviNvgspA0zOgA+4HuR6H6eJit//BgvhVPzMtLPs\niYsCJpB/UsuqSh9Z3wzAD8zvHu46MPeMPrpS/9BnkD6qa8CotN+M1efr5BHki4jr\nZKa4JZa6SrQcliTyxv+1aQO3Wi7lf5lxPW2hsckCgYAXfXYJhqmuq6ImaAnBddhS\nDAmoToZBXz5aIM7z0oCArK61Ha6n01hrSABir7GqTpaHbns/lH5eCh/U7hqrLLlA\nzyXn3IRFQ1nvkNaC/ookobINDwLhEeMZWimkiV/AGM1n/lmrXzuhC8GJf/niKOzL\nMPY/bYs8Ut1q7oQQNhJjmg==\n-----END PRIVATE KEY-----\n",
        "client_email": "firebase-adminsdk-zjqy5@intel-62404.iam.gserviceaccount.com",
        "client_id": "114413485188990245253",
        "auth_uri": "https://accounts.google.com/o/oauth2/auth",
        "token_uri": "https://oauth2.googleapis.com/token",
        "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
        "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-zjqy5%40intel-62404.iam.gserviceaccount.com",
        "universe_domain": "googleapis.com"
    })
});

let { n, cluster } = { n: 1, cluster: 1 };
const db = app.firestore().collection('store');

const waitForAssign = new Set(); async function start_service() {
    try {
        var { uid, email, pass, namem, task, create_tab } = await registerOnIntel();
        try {
            await enrollOnIntel({ uid, task, namem, create_tab });
            try {
                await activateOnIntel({ uid, email, task, create_tab });
                cluster--;
                if (cluster > 0) { start_service(); };

                waitForAssign
                    .add({ uid, email, task, create_tab }); assigner.emit('assign');
            } catch (err) {
                console.log(err.id, err.err);
                await (await import('timers/promises')).setTimeout(3800); start_service();
            };
        } catch (err) {
            console.log(err.id, err.err);
            try { await task.close(); } catch { };
            await (await import('timers/promises')).setTimeout(3800);
            try {
                var { uid, task, create_tab } = await loginOnIntel({ email, pass });
                try {
                    await enrollOnIntel({ uid, task, namem, create_tab });
                    try {
                        await activateOnIntel({ uid, email, task, create_tab });
                        cluster--;
                        if (cluster > 0) { start_service(); };

                        waitForAssign
                            .add({ uid, email, task, create_tab }); assigner.emit('assign');
                    } catch (err) {
                        console.log(err.id, err.err);
                        await (await import('timers/promises')).setTimeout(3800); start_service();
                    };
                } catch (err) {
                    console.log(err.id, err.err);
                    await (await import('timers/promises')).setTimeout(3800); start_service();
                };
            } catch (err) {
                console.log(err);
                await (await import('timers/promises')).setTimeout(3800); start_service();
            };
        };
    } catch (err) { console.log(err.id, err.err); await (await import('timers/promises')).setTimeout(3800); start_service(); };
};
start_service();

process.stdin.setRawMode(true); process.stdin.addListener('data', msg => {
    switch (msg.toString()) {
        case '\x03':
            process.exit(0);
    };
});

let assigned = 0;
assigner.addListener('assign', async () => {
    if (waitForAssign.size > 0 && assigned < n) {
        const args = Array.from(waitForAssign).at(0); try {
            waitForAssign.delete(args); await assignOnIntel({ ...args, db }, async () => {
                assigned++;
                assigner.emit('assign');
            });

            assigned--;
            assigner.emit('assign'); start_service();
        } catch (err) { console.log(err.id, err.err); try { await args.task.close(); } catch { }; assigner.emit('assign'); start_service(); };
    };
});